/*
 *    Copyright (C) 2008
 *
 *    This program is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 3 of the License, or
 *    any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package mediathek;

import java.awt.Color;

public class Konstanten {

    public static final String VERSION = "2.4.0";
    public static final String Programmname = "MediathekView";
    ////////////////////////////////
    public static final String ADRESSE_UPDATE = "http://zdfmediathk.sourceforge.net/update.xml";
    //public static final String ADRESSE_UPDATE = "http://zdfmediathk.sourceforge.net/update-test.xml";
    public static final String ADRESSE_DOWNLAD = "http://sourceforge.net/projects/zdfmediathk/";
    public static final String ADRESSE_ANLEITUNG_UPDATE = "http://zdfmediathk.sourceforge.net/update.html";
    public static final String TextUpdateSuchen = "Eimal am Tag nach einer neuen Programmversion suchen";
    //Sender
    public static final String SENDER_PREFX = "xml"; //für den XML-Standard
    public static final String SENDER_PODCAST = "Podcast"; //wird bei Filmen als Sender bei Podcasts verwendt
    public static final String SENDER_3SAT = "3Sat";
    public static final String SENDER_ZDF = "ZDF";
    public static final String SENDER_ARD_PODCAST = "ARD.Podcast";
    public static final String SENDER_ARD = "ARD";
    public static final String SENDER_ARTE_DE = "ARTE.DE";
    public static final String SENDER_ARTE_FR = "ARTE.FR";
    public static final String SENDER_MDR = "MDR";
    public static final String SENDER_NDR = "NDR";
    public static final String SENDER_NDR_FLASH = "NDR.Flash";
    public static final String SENDER_WDR = "WDR";
    public static final String SENDER_SWR = "SWR";
    public static final String SENDER_SF = "SF";
    public static final String SENDER_SF_PODCAST = "SF.Podcast";
    public static final String SENDER_ORF = "ORF";
    public static final String[] SENDER_LISTE = {SENDER_3SAT, SENDER_ZDF, SENDER_ARD_PODCAST, SENDER_ARD, SENDER_ARTE_DE, SENDER_ARTE_FR,
        SENDER_MDR, SENDER_NDR, SENDER_NDR_FLASH, SENDER_WDR, SENDER_SWR, SENDER_SF, SENDER_SF_PODCAST, SENDER_ORF};
    public static final String[][] THEME = {{"", ""},//das muss da sein
        {"System", ""}, // und das auch!!
        {"Metal", "javax.swing.plaf.metal.MetalLookAndFeel"},
        {"Nimbus", "com.sun.java.swing.plaf.nimbus.NimbusLookAndFeel"},
        {"GTK-Linux", "com.sun.java.swing.plaf.gtk.GTKLookAndFeel"}
    };
    //
    public static final int MIN_DATEI_GROESSE_KB = 2; //minimale Größe (kb !!!) eines Films um nicht als Fehler zu gelten
    public static final String KODIERUNG_UTF = "UTF-8";
    public static final String KODIERUNG_ISO15 = "ISO-8859-15";
    public static final String LOG_DATEI_ZDF = ".mediathek_zdf_log";
    public static final String LOG_DATEI_POD = ".mediathek_podder_log";
    public static final String LOG_DATEI_HISTORY = "history.txt";
    public static final String XML_DATEI = ".mediathek";
    public static final String XML_DATEI_FILME = ".filme";
    public static final String XML_DATEI_PODCASTER = ".podcaster";
    public static final String XML_START = "Mediathek";
    public static final String LEITUNG_DSL1000 = "dsl1000";
    public static final String LEITUNG_DSL2000 = "dsl2000";
    public static final String LEITUNG_HD = "hd";
    public static final String IMPORT_WEBSITE = "import-website";
    public static final String IMPORT_URL = "import-url";
    public static final String IMPORT_DATEI = "import-datei";
    public static final String IMPORT_WEBSITE_TEXT = "Filme laden (Website)";
    public static final String IMPORT_URL_TEXT = "Filme laden (Url)";
    public static final String IMPORT_DATEI_TEXT = "Filme laden (Datei)";
    public static final String DIREKTE_DOWNLOAD_SUFFIX = "mp4,mp3,m4v,flv";
    public static final String DIREKTE_DOWNLOAD_PRAEFIX = "http";
    //Formate zu Zippen
    public static final String FORMAT_ZIP = ".zip";
    public static final String FORMAT_BZ2 = ".bz2";
    // Auto-Neu-Laden
    public static final int NEU_LADEN_IN = 75 * 60; // Sekunden
    //Download von html-seiten steuern
    //Anzahl pro Sekunde = MAX_THREAD_LADEN_FILME1 / WARTEN_BASIS_URL
    //ard, zdf, arte
    public static final long WARTEN_BASIS_URL_KURZ = 100;//ms, Basiswert zu dem dann der Faktor multipliziert wird
    public static final long WARTEN_BASIS_URL = 500;//ms, Basiswert zu dem dann der Faktor multipliziert wird
    public static final int MAX_THREAD_LADEN_FILME = 4;//Threads beim Laden der Filme pro Sender
    //langsam
    // sf
    //regionale
    public static final long WARTEN_BASIS_URL_LANG = 1000;//ms, Basiswert zu dem dann der Faktor multipliziert wird
    public static final int MAX_THREAD_LADEN_FILME_KLEIN = 2;//Threads beim Laden der Filme pro Sender
    //
    //
    public static final int MAX_THREAD_LADEN_PODCAST = 5;//Threads beim Laden der Filme pro Sender
    public static final int MAX_SENDER_FILME_LADEN = 2;//es können maximal soviele Filme eines Senders gleichzeitig geladen werden
    //
    public static final String USER_AGENT_WINDOWS = "Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.0.10) Gecko/2009042316 Firefox/3.0.10";
    public static final String USER_AGENT_LINUX = "Mozilla/5.0 (compatible; Konqueror/3.2; Linux 2.6.2) (KHTML, like Gecko)";
    public static final String USER_AGENT_DEFAULT = "MediathekView";
    //
    public static final int UPDATE_FILME_AUS = 0; // nix
    public static final int UPDATE_FILME_URL = 1; // manuell laden, Url automatisch wählen
    public static final int UPDATE_FILME_START = 2; // beim Start laden + Url auto
    public static final int UPDATE_FILME_AUTO = 3; // beim Start, immer mal wieder, + Url auto
    //
    public static Color DOWNLOAD_FARBE_WAIT = new Color(239, 244, 255);
    public static Color DOWNLOAD_FARBE_WAIT_SEL = new Color(199, 206, 222);
    public static Color DOWNLOAD_FARBE_RUN = new Color(241, 228, 188);
    public static Color DOWNLOAD_FARBE_RUN_SEL = new Color(206, 178, 92);
    public static Color DOWNLOAD_FARBE_FERTIG = new Color(188, 241, 195);
    public static Color DOWNLOAD_FARBE_FERTIG_SEL = new Color(115, 206, 92);
    public static Color DOWNLOAD_FARBE_ERR = new Color(241, 188, 221);
    public static Color DOWNLOAD_FARBE_ERR_SEL = new Color(206, 92, 128);    //
    //public static Color DOWNLOAD_FARBE_ABO_EINMAL = new Color(210, 0,40);    //
    public static Color DOWNLOAD_FARBE_ABO_EINMAL = new Color(80, 80, 80);    //
    public static Color DOWNLOAD_FARBE_GESEHEN = new Color(225, 225, 225);    //
    public static Color DOWNLOAD_FARBE_ALTER_OK = new Color(0, 154, 42);    //
    public static Color DOWNLOAD_FARBE_ALTER_ALT = new Color(153, 0, 0);    //
    //Tags System
    public static final String SYSTEM = "System";
    public static final int SYSTEM_MAX_ELEM = 52;
    public static final String SYSTEM_FEHLER_ANZEIGEN = "Fehler_anzeigen";
    public static final int SYSTEM_FEHLER_ANZEIGEN_NR = 0;
    public static final String SYSTEM_LOOK = "System-look";
    public static final int SYSTEM_LOOK_NR = 1;
    public static final String SYSTEM_START_MAX = "Start-maximiert";
    public static final int SYSTEM_START_MAX_NR = 2;
    public static final String SYSTEM_USER_AGENT = "User-Agent";
    public static final int SYSTEM_USER_AGENT_NR = 3;
    public static final String SYSTEM_VERSION = "version";
    public static final int SYSTEM_VERSION_NR = 4;
    public static final String SYSTEM_GROESSE_X = "GroesseX";
    public static final int SYSTEM_GROESSE_X_NR = 5;
    public static final String SYSTEM_GROESSE_Y = "GroesseY";
    public static final int SYSTEM_GROESSE_Y_NR = 6;
    //abo
    public static final String SYSTEM_ABO = "Abo";
    public static final int SYSTEM_ABO_NR = 7;
    public static final String SYSTEM_NUR_ABO = "nur_abo";
    public static final int SYSTEM_NUR_ABO_NR = 8;
    public static final String SYSTEM_NUR_ABO_AUTO = "nur_abo_auto";
//    public static final int SYSTEM_NUR_ABO_AUTO_NR = 9;
    //podcast
    public static final String SYSTEM_PODCAST = "Podcast";
    public static final int SYSTEM_PODCAST_NR = 10;
    public static final String SYSTEM_ZIELPFAD_POD = "Basisziel-Podcast";
    public static final int SYSTEM_ZIELPFAD_POD_NR = 11;
    //proxy
    public static final String SYSTEM_PROXY_SERVER = "proxy-server";
    public static final int SYSTEM_PROXY_SERVER_NR = 12;
    public static final String SYSTEM_PROXY_PORT = "proxy-port";
    public static final int SYSTEM_PROXY_PORT_NR = 13;
    public static final String SYSTEM_PROXY_USER = "proxy-benutzer";
    public static final int SYSTEM_PROXY_USER_NR = 14;
    public static final String SYSTEM_PROXY_PWD = "proxy-passwort";
    public static final int SYSTEM_PROXY_PWD_NR = 15;
    public static final String SYSTEM_PROXY_ON = "proxy-an";
    public static final int SYSTEM_PROXY_ON_NR = 16;
    //Einstellungen Sender
    public static final String SYSTEM_MAX_DOWNLOAD = "maxDownload";
    public static final int SYSTEM_MAX_DOWNLOAD_NR = 17;
    public static final String SYSTEM_MAX_DOWNLOAD_FILME = "maxDownloadFilme";
//    public static final int SYSTEM_MAX_DOWNLOAD_FILME_NR = 18;
    public static final String SYSTEM_LEITUNG = "Leitung";
    public static final int SYSTEM_LEITUNG_NR = 19;
    public static final String SYSTEM_LEITUNG_RTMP = "Rtmp-bauen";
    public static final int SYSTEM_LEITUNG_RTMP_NR = 20;
    //Einstellungen ARD
    public static final String SYSTEM_WARTEN_ARD = "warten-ard";
//    public static final int SYSTEM_WARTEN_ARD_NR = 21;
    public static final String SYSTEM_ARD_ALT = "alte-Beitraege-ard";
//    public static final int SYSTEM_ARD_ALT_NR = 22;
    public static final String SYSTEM_WARTEN_ARDPODCAST = "warten-ardpodcast";
//    public static final int SYSTEM_WARTEN_ARDPODCAST_NR = 23;
    //Einstellungen ZDF
    public static final String SYSTEM_ZDF_ANZAHL = "system-zdf-anzahl";
//    public static final int SYSTEM_ZDF_ANZAHL_NR = 24;
    public static final String SYSTEM_ZDF_LEITUNG = "system-zdf-leitung";
//    public static final int SYSTEM_ZDF_LEITUNG_NR = 25;
    public static final String SYSTEM_ZDF_LANG = "system-zdf-kurz";
//    public static final int SYSTEM_ZDF_LANG_NR = 26;
    //Einstellungen ARTE
    public static final String SYSTEM_ARTE_DE = "system-arte-de";
//    public static final int SYSTEM_ARTE_DE_NR = 27;
    public static final String SYSTEM_ARTE_FR = "system-arte-fr";
//    public static final int SYSTEM_ARTE_FR_NR = 28;
    public static final String SYSTEM_WARTEN_ARTE = "warten-arte";
//    public static final int SYSTEM_WARTEN_ARTE_NR = 29;
    public static final String SYSTEM_NUR_ARTE7 = "arte-laden";
//    public static final int SYSTEM_NUR_ARTE7_NR = 30;
    //Einstellungen WDR
    public static final String SYSTEM_WARTEN_WDR = "warten-wdr";
//    public static final int SYSTEM_WARTEN_WDR_NR = 31;
    public static final String SYSTEM_SWR_LISTE = "nr-in-liste";
    public static final int SYSTEM_SWR_LISTE_NR = 32;
    //Einstellungen Im-Export
    public static final String SYSTEM_PFAD_EXPORT_ABOS = "Pfad_Export_Abos";
    public static final int SYSTEM_PFAD_EXPORT_ABOS_NR = 33;
    public static final String SYSTEM_IMPORT_DATEI = "system-import-datei";
    public static final int SYSTEM_IMPORT_DATEI_NR = 34;
    public static final String SYSTEM_IMPORT_URL = "system-import-url";
    public static final int SYSTEM_IMPORT_URL_NR = 35;
    public static final String SYSTEM_IMPORT_URL_AUTO = "system-import-url-auto";
    public static final int SYSTEM_IMPORT_URL_AUTO_NR = 36;
    public static final String SYSTEM_IMPORT_ZIP_URL = "system-import-zip-url";
//    public static final int SYSTEM_IMPORT_ZIP_URL_NR = 37;
    public static final String SYSTEM_IMPORT_WAS = "system-import-was";
//    public static final int SYSTEM_IMPORT_WAS_NR = 38;
    public static final String SYSTEM_EXPORT_DATEI = "system-export-datei";
    public static final int SYSTEM_EXPORT_DATEI_NR = 39;
    public static final String SYSTEM_EXPORT_ZIP = "system-export-zip";
//    public static final int SYSTEM_EXPORT_ZIP_NR = 40;
    //##############
    public static final String SYSTEM_HINWEIS_ANZEIGEN = "Hinweis_anzeigen";
    public static final int SYSTEM_HINWEIS_ANZEIGEN_NR = 41;
    public static final String SYSTEM_WARTEN = "warten";
    public static final int SYSTEM_WARTEN_NR = 42;
    public static final String SYSTEM_ALTE_FILME = "alte-filme";
    public static final int SYSTEM_ALTE_FILME_NR = 43;
    public static final String SYSTEM_IMPORT_NUR_SENDER = "import-nur-sender";
//    public static final int SYSTEM_IMPORT_NUR_SENDER_NR = 44;
    public static final String SYSTEM_UDATE_SUCHEN = "update-suchen";
    public static final int SYSTEM_UPDATE_SUCHEN_NR = 45;
    public static final String SYSTEM_UPDATE_SUCHEN_TAEGLICH = "update-suchen-taeglich";
//    public static final int SYSTEM_UPDATE_SUCHEN_TAEGLICH_NR = 46;
    public static final String SYSTEM_UPDATE_DATUM = "update-datum";
    public static final int SYSTEM_UPDATE_DATUM_NR = 47;
    public static final String SYSTEM_AUTO_UPDATE_URL = "update-auto-url";
//    public static final int SYSTEM_AUTO_UPDATE_URL_NR = 48;
    public static final String SYSTEM_UPDATE_20 = "update-nach-20";
    public static final int SYSTEM_UPDATE_20_NR = 49;
    public static final String SYSTEM_UPDATE_FILME = "update-filme";
    public static final int SYSTEM_UPDATE_FILME_NR = 50;
    public static final String SYSTEM_UPDATE_FILME_START = "update-filme-start";
//    public static final int SYSTEM_UPDATE_FILME_START_NR = 51;
    //
    public static final String[] SYSTEM_COLUMN_NAMES = {SYSTEM_FEHLER_ANZEIGEN, SYSTEM_LOOK, SYSTEM_START_MAX, SYSTEM_USER_AGENT, SYSTEM_VERSION, SYSTEM_GROESSE_X, SYSTEM_GROESSE_Y,
        SYSTEM_ABO, SYSTEM_NUR_ABO, SYSTEM_NUR_ABO_AUTO, SYSTEM_PODCAST, SYSTEM_ZIELPFAD_POD,
        SYSTEM_PROXY_SERVER, SYSTEM_PROXY_PORT, SYSTEM_PROXY_USER, SYSTEM_PROXY_PWD, SYSTEM_PROXY_ON,
        SYSTEM_MAX_DOWNLOAD, SYSTEM_MAX_DOWNLOAD_FILME, SYSTEM_LEITUNG, SYSTEM_LEITUNG_RTMP,
        SYSTEM_WARTEN_ARD, SYSTEM_ARD_ALT, SYSTEM_WARTEN_ARDPODCAST,
        SYSTEM_ZDF_ANZAHL, SYSTEM_ZDF_LEITUNG, SYSTEM_ZDF_LANG,
        SYSTEM_ARTE_DE, SYSTEM_ARTE_FR, SYSTEM_WARTEN_ARTE, SYSTEM_NUR_ARTE7,
        SYSTEM_WARTEN_WDR, SYSTEM_SWR_LISTE,
        SYSTEM_PFAD_EXPORT_ABOS, SYSTEM_IMPORT_DATEI, SYSTEM_IMPORT_URL, SYSTEM_IMPORT_URL_AUTO,
        SYSTEM_IMPORT_ZIP_URL, SYSTEM_IMPORT_WAS, SYSTEM_EXPORT_DATEI, SYSTEM_EXPORT_ZIP,
        SYSTEM_HINWEIS_ANZEIGEN, SYSTEM_WARTEN, SYSTEM_ALTE_FILME, SYSTEM_IMPORT_NUR_SENDER,
        SYSTEM_UDATE_SUCHEN, SYSTEM_UPDATE_SUCHEN_TAEGLICH,
        SYSTEM_UPDATE_DATUM, SYSTEM_AUTO_UPDATE_URL, SYSTEM_UPDATE_20, SYSTEM_UPDATE_FILME, SYSTEM_UPDATE_FILME_START};
    //
    //
    //Tags Senderliste
    public static final String SENDERLISTE = "Senderliste";
    //Tags Filme
    public static final String FILME = "Filme";
    public static final int FILME_MAX_ELEM = 18;
    //
    public static final String FILM_NR = "Nr"; // wird vor dem Speichern gelöscht!
    public static final int FILM_NR_NR = 0;
    public static final String FILM_SENDER = "Sender";
    public static final int FILM_SENDER_NR = 1;
    public static final String FILM_THEMA = "Thema";
    public static final int FILM_THEMA_NR = 2;
    public static final String FILM_TITEL = "Titel";
    public static final int FILM_TITEL_NR = 3;
    public static final String FILM_DATUM = "Datum";
    public static final int FILM_DATUM_NR = 4;
    public static final String FILM_ZEIT = "Zeit";
    public static final int FILM_ZEIT_NR = 5;
    public static final String FILM_URL = "Url";
    public static final int FILM_URL_NR = 6;
    public static final String FILM_URL_ORG = "UrlOrg";
    public static final int FILM_URL_ORG_NR = 7;
    public static final String FILM_URL_RTMP = "UrlRTMP";
    public static final int FILM_URL_RTMP_NR = 8;
    public static final String FILM_URL_AUTH = "UrlAuth";
    public static final int FILM_URL_AUTH_NR = 9;
    public static final String FILM_URL_THEMA = "UrlThema";//url des Themas zum nachladen
    public static final int FILM_URL_THEMA_NR = 10;
    public static final String FILM_DATEI = "Datei";//Dateiname der Filmdatei // wird vor dem Speichern gelöscht!
    public static final int FILM_DATEI_NR = 11;
    public static final String FILM_ZIEL_DATEI = "ZielDatei";//Ziel-Dateiname der Filmdatei // wird vor dem Speichern gelöscht!
    public static final int FILM_ZIEL_DATEI_NR = 12;
    public static final String FILM_ZIEL_PFAD = "ZielPfad"; // wird vor dem Speichern gelöscht!
    public static final int FILM_ZIEL_PFAD_NR = 13;
    public static final String FILM_ZIEL_PFAD_DATEI = "ZielPfadDatei"; // wird vor dem Speichern gelöscht!
    public static final int FILM_ZIEL_PFAD_DATEI_NR = 14;
    public static final String FILM_PROG = "Programm"; // wird vor dem Speichern gelöscht!
    public static final int FILM_PROG_NR = 15;
    public static final String FILM_ALT = "Film-alt";
    public static final int FILM_ALT_NR = 16;
    public static final String FILM_ABO = "Abo-Name";// wird vor dem Speichern gelöscht!
    public static final int FILM_ABO_NR = 17;
    public static final String[] FILME_COLUMN_NAMES = {FILM_NR, FILM_SENDER, FILM_THEMA, FILM_TITEL, FILM_DATUM, FILM_ZEIT,
        FILM_URL, FILM_URL_ORG, FILM_URL_RTMP, FILM_URL_AUTH, FILM_URL_THEMA, FILM_DATEI,
        FILM_ZIEL_DATEI, FILM_ZIEL_PFAD, FILM_ZIEL_PFAD_DATEI, FILM_PROG, FILM_ALT, FILM_ABO
    };
    //
    public static final String[] FILME_COLUMN_NAMES_POD = {FILM_NR, FILM_SENDER, "Name", FILM_TITEL, FILM_DATUM, FILM_ZEIT,
        FILM_URL, FILM_URL_ORG, FILM_URL_RTMP, FILM_URL_AUTH, FILM_URL_THEMA, FILM_DATEI,
        FILM_ZIEL_DATEI, FILM_ZIEL_PFAD, FILM_ZIEL_PFAD_DATEI, FILM_PROG, FILM_ALT, FILM_ABO
    };
    //
    //Tags Infos Filmliste, erste Zeile der .filme-Datei
    public static final String FILMLISTE = "Filmliste";
    public static final int FILMLISTE_MAX_ELEM = 4;
    public static final String FILMLISTE_DATUM = "Filmliste-Datum";
    public static final int FILMLISTE_DATUM_NR = 0;
    public static final String FILMLISTE_ZEIT = "Filmliste-Nur-Zeit";
    public static final int FILMLISTE_NUR_ZEIT_NR = 1;
    public static final String FILMLISTE_DATUM_ZEIT = "Filmliste-Nur-Datum";
    public static final int FILMLISTE_NUR_DATUM_NR = 2;
    public static final String FILMLISTE_ANZAHL = "Filmliste-Anzahl";
    public static final int FILMLISTE_ANZAHL_NR = 3;
    public static final String[] FILMLISTE_COLUMN_NAMES = {FILMLISTE_DATUM, FILMLISTE_ZEIT, FILMLISTE_DATUM_ZEIT, FILMLISTE_ANZAHL};
    //
    //Tags Update Filmliste
    public static final String FILM_UPDATE_PRIO_1 = "1";
    public static final String FILM_UPDATE_PRIO_2 = "2";
    public static final String FILM_UPDATE = "Film-Update";
    public static final int FILM_UPDATE_MAX_ELEM = 6;
    public static final String FILM_UPDATE_NR = "Filmliste-Update-Nr";
    public static final int FILM_UPDATE_NR_NR = 0;
    public static final String FILM_UPDATE_URL = "Filmliste-Update-Url";
    public static final int FILM_UPDATE_URL_NR = 1;
    public static final String FILM_UPDATE_DATUM = "Filmliste-Datum";
    public static final int FILM_UPDATE_DATUM_NR = 2;
    public static final String FILM_UPDATE_ZEIT = "Filmliste-Zeit";
    public static final int FILM_UPDATE_ZEIT_NR = 3;
    public static final String FILM_UPDATE_ANZAHL = "Filmliste-Anzahl";
    public static final int FILM_UPDATE_ANZAHL_NR = 4;
    public static final String FILM_UPDATE_PRIO = "Filmliste-Update-Prio";
    public static final int FILM_UPDATE_PRIO_NR = 5;
    public static final String[] FILM_UPDATE_COLUMN_NAMES = {FILM_UPDATE_NR, FILM_UPDATE_URL, FILM_UPDATE_DATUM, FILM_UPDATE_ZEIT, FILM_UPDATE_ANZAHL, FILM_UPDATE_PRIO};
    public static final String[] FILM_UPDATE_COLUMN_NAMES_ANZEIGE = {"Nr", "Update-Url", "Datum", "Zeit", "Anzahl", FILM_UPDATE_PRIO};
    //
    //Tags Programm
    public static final String PROGRAMM_BUTTON = "Programm-Button";
    public static final String PROGRAMM_ABO = "Programm-Abo";
    public static final String PROGRAMM = "Programm";
    public static final int PROGRAMM_MAX_ELEM = 6;
    public static final String PROGRAMM_NAME = "Programmname";
    public static final int PROGRAMM_NAME_NR = 0;
    public static final String PROGRAMM_PROGRAMMPFAD = "Programmpfad";
    public static final int PROGRAMM_PROGRAMMPFAD_NR = 1;
    public static final String PROGRAMM_SCHALTER = "Programmschalter";
    public static final int PROGRAMM_SCHALTER_NR = 2;
    public static final String PROGRAMM_PRAEFIX = "Praefix";
    public static final int PROGRAMM_PRAEFIX_NR = 3;
    public static final String PROGRAMM_SUFFIX = "Suffix";
    public static final int PROGRAMM_SUFFIX_NR = 4;
    public static final String PROGRAMM_RESTART = "Prog-Restart";
    public static final int PROGRAMM_RESTART_NR = 5;
    public static final String[] PROGRAMM_COLUMN_NAMES = {PROGRAMM_NAME, PROGRAMM_PROGRAMMPFAD,
        PROGRAMM_SCHALTER, PROGRAMM_PRAEFIX, PROGRAMM_SUFFIX, PROGRAMM_RESTART};
    //
    //Tags Programmgruppen
    public static final String PROGRAMMGRUPPE_BUTTON = "Programmgruppe-Button";
    public static final String PROGRAMMGRUPPE_ABO = "Programmgruppe-Abo";
    public static final int PROGRAMMGRUPPE_MAX_ELEM = 7;
    public static final String PROGRAMMGRUPPE_NAME = "Programmgruppen-Name";
    public static final int PROGRAMMGRUPPE_NAME_NR = 0;
    public static final String PROGRAMMGRUPPE_PRAEFIX_DIREKT = "Programmgruppen-Praefix";
    public static final int PROGRAMMGRUPPE_PRAEFIX_DIREKT_NR = 1;
    public static final String PROGRAMMGRUPPE_SUFFIX_DIREKT = "Programmgruppen-Suffix";
    public static final int PROGRAMMGRUPPE_SUFFIX_DIREKT_NR = 2;
    public static final String PROGRAMMGRUPPE_FARBE = "Programmgruppen-Farbe";
    public static final int PROGRAMMGRUPPE_FARBE_NR = 3;
    public static final String PROGRAMMGRUPPE_DOPPELKLICK = "Programmgruppen-Doppelklick";
    public static final int PROGRAMMGRUPPE_DOPPELKLICK_NR = 4;
    public static final String PROGRAMMGRUPPE_ZIEL_PFAD = "Programmgruppen-Zielpfad";
    public static final int PROGRAMMGRUPPE_ZIEL_PFAD_NR = 5;
    public static final String PROGRAMMGRUPPE_ZIEL_DATEINAME = "Programmgruppen-Zieldateiname";
    public static final int PROGRAMMGRUPPE_ZIEL_DATEINAME_NR = 6;
    public static final String[] PROGRAMMGRUPPE_COLUMN_NAMES = {PROGRAMMGRUPPE_NAME, PROGRAMMGRUPPE_PRAEFIX_DIREKT, PROGRAMMGRUPPE_SUFFIX_DIREKT,
        PROGRAMMGRUPPE_FARBE, PROGRAMMGRUPPE_DOPPELKLICK,
        PROGRAMMGRUPPE_ZIEL_PFAD, PROGRAMMGRUPPE_ZIEL_DATEINAME};
    //
    //Tags Abo
    public static final String ABO = "Abonnement";
    public static final int ABO_MAX_ELEM = 11;
    public static final String ABO_NR = "Nr";
    public static final int ABO_NR_NR = 0;
    public static final String ABO_NAME = "Name";
    public static final int ABO_NAME_NR = 1;
    public static final String ABO_SENDER = FILM_SENDER;
    public static final int ABO_SENDER_NR = 2;
    public static final String ABO_THEMA = FILM_THEMA;
    public static final int ABO_THEMA_NR = 3;
    public static final String ABO_THEMA_EXAKT = FILM_THEMA + "-exakt";
    public static final int ABO_THEMA_EXAKT_NR = 4;
    public static final String ABO_TITEL = FILM_TITEL;
    public static final int ABO_TITEL_NR = 5;
    public static final String ABO_ZIELPFAD = "Zielpfad";
    public static final int ABO_ZIELPFAD_NR = 6;
    public static final String ABO_DOWN_DATUM = "letztes_Abo";
    public static final int ABO_DOWN_DATUM_NR = 7;
    public static final String ABO_PGRUPPE = "Programmgruppe";
    public static final int ABO_PGRUPPE_NR = 8;
    public static final String ABO_EINMAL_URL = "Einmalabo";
    public static final int ABO_EINMAL_URL_NR = 9;
    public static final String ABO_EINMAL_ERLEDIGT = "fertig";
    public static final int ABO_EINMAL_ERLEDIGT_NR = 10;
    public static final String[] ABO_COLUMN_NAMES = {ABO_NR, ABO_NAME, ABO_SENDER, ABO_THEMA, ABO_THEMA_EXAKT, ABO_TITEL,
        ABO_ZIELPFAD, ABO_DOWN_DATUM, ABO_PGRUPPE, ABO_EINMAL_URL, ABO_EINMAL_ERLEDIGT};
    //Tags Blacklist
    public static final String BLACKLIST = "Blacklist";
    public static final int BLACKLIST_MAX_ELEM = 2;
    public static final String BLACKLIST_SENDER = "black-sender";
    public static final int BLACKLIST_SENDER_NR = 0;
    public static final String BLACKLIST_THEMA = "black-thema";
    public static final int BLACKLIST_THEMA_NR = 1;
    public static final String[] BLACKLIST_COLUMN_NAMES = {BLACKLIST_SENDER, BLACKLIST_THEMA};
    //
    //Tags Podder
    public static final String POD = "Pod";
    public static final int POD_MAX_ELEM = 5;
    public static final String POD_NR = "Nr";
    public static final int POD_NR_NR = 0;
    public static final String POD_NAME = "Name";
    public static final int POD_NAME_NR = 1;
    public static final String POD_URL = "Url";
    public static final int POD_URL_NR = 2;
    public static final String POD_ZIELPFAD = "Zielpfad";
    public static final int POD_ZIELPFAD_NR = 3;
    public static final String POD_DOWN_DATUM = "letzter_Pod";
    public static final int POD_DOWN_DATUM_NR = 4;
    public static final String[] POD_COLUMN_NAMES = {POD_NR, POD_NAME, POD_URL, POD_ZIELPFAD, POD_DOWN_DATUM};
    //Tags Poddester
    public static final String PODSTER = "Podster";
    public static final int PODSTER_MAX_ELEM = 4;
    public static final String PODSTER_NR = "Nr";
    public static final int PODSTER_NR_NR = 0;
    public static final String PODSTER_THEMA = "Thema";
    public static final int PODSTER_THEMA_NR = 1;
    public static final String PODSTER_TITEL = "Titel";
    public static final int PODSTER_TITEL_NR = 2;
    public static final String PODSTER_URL = "Url";
    public static final int PODSTER_URL_NR = 3;
    public static final String[] PODSTER_COLUMN_NAMES = {PODSTER_NR, PODSTER_THEMA, PODSTER_TITEL, PODSTER_URL};
}
